Subject: Re: IMAP accessible pine-info archives (fwd)

From: Mark Crispin <[email-masked]>
Date: Wed, 28 Feb 2001 13:31:57 -0800 (PST)

Nancy -

Thank you for your message.  You have observed several matters which we
will need to remedy.  Unfortunately, there's a bit of confusion as to who
should do what.  I've been given the problem to solve, but parts of the
fix have to be delegated to others.  Please accept my apologies for any
delay in getting this fixed.

Specifically:

> I have some questions about accessing the pine-info archives at
>  *{ftp.cac.washington.edu/anonymous}pine/pine-info/[]
> which is described here:
>  http://www.washington.edu/pine/pine-info/

The leading "*" is an artifact of ancient history; you don't need it.
I don't think that you need the leading #public/ either.

> {ftp.cac.washington.edu/anonymous}#public/pine/pin : Mailbox vulnerable - directory /ftp/world/pine

This is a technical matter due to the format of the files in question.  I
will look into how to fix this, but for the nonce please ignore this
message in this one unique case (normally "Mailbox vulnerable" is a very
bad thing...)

> {ftp.cac.washington.edu/anonymous}#public/pine/pin : Unable to parse internal date:  0-???-1970 00:

This is an even more serious problem.  It was caused by a bug in how the
Pine archive files are written; my suspicion is that it was caused by the
"icat" program and I've sent a message to the author of icat about it.

We *will* get this fixed, but it may be a short while.

> 2) Is this:
>  *{ftp.cac.washington.edu/anonymous}pine/pine-info/[]
> the best way to specify the collection or is it better to use the
> notation that's used in the journal (i.e., "#public")?

I think that just
	{ftp.cac.washington.edu/anonymous}pine/pine-info/[]
(no leading "*" or "#public") is best.  I'll look into getting the
documentation changed (but I'm not the person to do it).

> 3) It seems to work when I put this in either my
> folder-collections or my news-collections? Is there any
> disadvantage to listing it in my news-collections?

This is all up to your own personal taste.

-- Mark --

http://staff.washington.edu/mrc
Science does not emerge from voting, party politics, or public debate.